Skip to main content
POST
/
trust-centers
/
{slugId}
/
access-requests
/
{accessRequestId}
/
approve
Approve Trust Center access request
curl --request POST \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/access-requests/{accessRequestId}/approve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expirationDate": "2023-11-07T05:31:56Z",
  "isNdaRequired": true,
  "resourceIds": [
    "<string>"
  ],
  "accessLevel": "FULL_ACCESS"
}
'

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required
accessRequestId
string
required

Body

application/json
expirationDate
string<date-time>

The date access should expire for this viewer. If a date isn't provided, access will not expire.

isNdaRequired
boolean

Whether to require an NDA for the viewer. Defaults to true.

resourceIds
string[]

Identifiers for the resources that this viewer should have access to. If this field is omitted, the viewer will have access to all resources that they requested.

accessLevel
enum<string>

Approved access level of the viewer. If this field is omitted, the viewer will have the access level they requested.

Available options:
FULL_ACCESS,
PARTIAL_ACCESS

Response

204

No content